#ifndef _PRINTER_H
#define _PRINTER_H

#include <AppKit.h>
#include <InterfaceKit.h>

// transport add-on calls definition 
extern "C"
	{
	typedef BDataIO * 	(*init_transport_proc)(BMessage *);
	typedef void 		(*exit_transport_proc)(void);
	};	

class Printer
	{
	public:
	// constructors / destructor
							Printer();
virtual						~Printer();
		
	// public methods
	
virtual status_t 			PrintJob(BFile * spool, BNode * printer, BMessage * msg);
virtual status_t			PrintPage(BFile * spool, BMessage * job_msg, int32 page_number, int32 page_count);

		// configuration default methods
virtual status_t 			PrinterSetup(char * printer_name);
virtual status_t 			PageSetup(BMessage * msg);
virtual status_t 			JobSetup(BMessage * msg);
		
		// transport-related stuffs
		status_t			OpenTransport(BNode * printer);
		status_t			CloseTransport();
		BDataIO *			transport;

	private:
		image_id			transport_add_on;
		init_transport_proc	init_transport;
		exit_transport_proc	exit_transport;
	};

#endif