// driver.cpp
//
// Canon Bubble Jet Printers driver for BeOS

#include "driver.h"
#include "BJ.h"
#include "BJC.h"

BMessage * take_job(BFile * spool_file, BNode * spool_dir, BMessage * msg)
{
	Printer * printer;
	
	printer = new BJ();
	if ( printer->PrintJob(spool_file, spool_dir, msg) == B_OK )
		msg = new BMessage('okok');
	else	
		msg = new BMessage('baad');
	
	delete printer;
			
	return msg;
}



BMessage * config_page(BNode * spool_dir, BMessage * msg)
{
	BMessage *	pagesetup_msg;
	Printer * 	printer;

	pagesetup_msg = new BMessage(*msg);

	printer = new BJ();
	if ( printer->PageSetup(pagesetup_msg) == B_OK )
		pagesetup_msg->what = ('okok');
	else
		{
		delete pagesetup_msg;
		pagesetup_msg = NULL;
		};
		
	delete printer;
	
	return pagesetup_msg;
}



BMessage * config_job(BNode * spool_dir, BMessage * msg)
{
	BMessage *	jobsetup_msg;
	Printer * 	printer;

	jobsetup_msg = new BMessage(*msg);

	printer = new BJ();
	if ( printer->JobSetup(jobsetup_msg) == B_OK )
		jobsetup_msg->what = ('okok');
	else
		{
		delete jobsetup_msg;
		jobsetup_msg = NULL;
		};

	delete printer;
	
	return jobsetup_msg;
}



char * add_printer(char * printer_name)
{
	Printer *	printer;
	char *		pn;

	pn = printer_name;
	
	printer = new BJ();
	if ( printer->PrinterSetup(pn) != B_OK )
		pn = NULL;

	delete printer;

	return pn; 
}
